curl --request GET \
--url https://api.egp.scale.com/v4/plans/{plan_id} \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"title": "<string>",
"associated_file_ids": [
"<string>"
],
"steps": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}Gets the details of a plan
This API can be used to get information about a single plan by ID. To use this API, pass in the id that was returned from your Create Plan API call as a path parameter.
Review the response schema to see the fields that will be returned.
curl --request GET \
--url https://api.egp.scale.com/v4/plans/{plan_id} \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"title": "<string>",
"associated_file_ids": [
"<string>"
],
"steps": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"account_id": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}Successful Response
Plan-level file/report references.
Tree of step -> substep state (threadIds, etc).
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account The ID of the account that owns the given entity.
Start of the planning window.
End of the planning window.
The date and time when the entity was archived in ISO format.